SG_ZONE(8)

NAME
sg_zone - send SCSI OPEN, CLOSE, FINISH or SEQUENTIALIZE ZONE command

SYNOPSIS
sg_zone [--all] [--close] [--count=ZC] [--finish] [--help] [--open] [--sequentialize] [--verbose] [--version] [--zone=ID] DEVICE

DESCRIPTION

Sends a SCSI OPEN ZONE, CLOSE ZONE, FINISH ZONE or SEQUENTIALIZE ZONE command to the DEVICE. All but the last are found in the soon to be released ZBC standard (close to draft ZBC BSR INCITS 536 revision 05). The SEQUENTIALIZE ZONE command was added in zbc2r01b.

One and only one of the --open, --close, --finish and --sequentialize options can be chosen.

OPTIONS
Arguments to long options are mandatory for short options as well.

-a, --all
    sets the ALL field in the cdb.

-c, --close
    causes the CLOSE ZONE command to be sent to the DEVICE.

-C, --count=ZC
    ZC is placed in the Zone Count field in the cdb of all four commands supported by this utility. ZC should be a value from 0 to 65535 (0xffff) inclusive.

-f, --finish
    causes the FINISH ZONE command to be sent to the DEVICE.

-h, --help
    output the usage message then exit.

-o, --open
    causes the OPEN ZONE command to be sent to the DEVICE.

-S, --sequentialize
    causes the SEQUENTIALIZE ZONE command to be sent to the DEVICE.

-v, --verbose
    increase the level of verbosity, (i.e. debug output).

-V, --version
    print the version string and then exit.

-z, --zone=ID
    where ID is placed in the cdb's ZONE ID field. A zone id is a zone start logical block address (LBA). The default value is 0. ID is assumed to be in decimal unless prefixed with '0x' or has a trailing 'h' which indicate hexadecimal.

EXIT STATUS
The exit status of sg_zone is 0 when it is successful. Otherwise see the sg3_utils(8) man page.

AUTHORS
Written by Douglas Gilbert.

REPORTING BUGS
Report bugs to <dgilbert at interlog dot com>.

COPYRIGHT
Copyright © 2014-2018 Douglas Gilbert
This software is distributed under a FreeBSD license. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
sg_rep_zones,sg_reset_wp(sg3_utils)